# Uses of Interface
org.opensaml.saml.saml2.core.AuthnContextDecl

Packages that use AuthnContextDecl
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of AuthnContextDecl in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return AuthnContextDecl
Modifier and Type
Method
Description
`AuthnContextDecl`
AuthnContext.`getAuthContextDecl()`
Gets Declaration of this Authentication Context.
Methods in org.opensaml.saml.saml2.core with parameters of type AuthnContextDecl
Modifier and Type
Method
Description
`void`
AuthnContext.`setAuthnContextDecl(AuthnContextDecl newAuthnContextDecl)`
Sets the Declaration of this Authentication Context.

## Uses of AuthnContextDecl in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AuthnContextDecl
Modifier and Type
Class
Description
`class`
`AuthnContextDeclImpl`
A concrete implementation of `AuthnContextDecl`.
Fields in org.opensaml.saml.saml2.core.impl declared as AuthnContextDecl
Modifier and Type
Field
Description
`private AuthnContextDecl`
AuthnContextImpl.`authnContextDecl`
Declaration of the Authentication Context.
Methods in org.opensaml.saml.saml2.core.impl that return AuthnContextDecl
Modifier and Type
Method
Description
`AuthnContextDecl`
AuthnContextDeclBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthnContextDecl`
AuthnContextDeclBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AuthnContextDecl`
AuthnContextImpl.`getAuthContextDecl()`
Gets Declaration of this Authentication Context.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type AuthnContextDecl
Modifier and Type
Method
Description
`void`
AuthnContextImpl.`setAuthnContextDecl(AuthnContextDecl newAuthnContextDecl)`
Sets the Declaration of this Authentication Context.